#!/usr/bin/python
# Lifesaver by Chris Jones <cmsj@tenshu.net>
# GPL v2 only
"""stripper.py - Class to stip HTML tags out of text
Shamelessly borrowed from http://flangy.com/dev/python/striphtml.html"""

import sgmllib

class Stripper(sgmllib.SGMLParser):
    # pylint: disable-msg=R0904
    """Stripper class"""
    stringdata = None

    def __init__(self):
        """Class initialiser"""
        sgmllib.SGMLParser.__init__(self)
        
    def strip(self, html):
        """Strip the actual text"""
        self.stringdata = ""
        self.feed(html)
        self.close()
        return(self.stringdata)
        
    def handle_data(self, data):
        """Add more data"""
        self.stringdata += data

