#!/usr/bin/python
# Lifesaver by Chris Jones <cmsj@tenshu.net>
# GPL v2 only
"""identica.py - Identica class"""

from twitterjson import TwitterJson

class Identica(TwitterJson):
    """Class that collects data from identi.ca"""
    name = "identi.ca"
    urlstub = 'http://identi.ca/api/search.json?q=%s&rpp=25&since_id=%d'

    def __init__(self):
        """Class initialiser"""
        TwitterJson.__init__(self)

